import { CSS2DObject, CSS2DRenderer } from 'three/examples/jsm/renderers/CSS2DRenderer.js';
import PickPoint from './PickPoint';
import * as THREE from 'three';
declare class PickPointService {
    #private;
    constructor(PickPoint: PickPoint);
    setLabelRenderer(width: number, height: number): CSS2DRenderer;
    makeSphere({ visible }?: {
        visible?: boolean;
    }): THREE.Mesh<THREE.SphereGeometry, THREE.MeshBasicMaterial>;
    makeMeasurementLabel(innerText: string, object: THREE.Object3D): CSS2DObject;
    findPointObject(scene: THREE.Scene): THREE.Points<any, any> | null;
}
export default PickPointService;
